Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation
Class SimulationResult

    java.lang.Object
      ru.biosoft.access.DataElementSupport
          biouml.plugins.simulation.SimulationResult

All Implemented Interfaces:
  DataElement

public class SimulationResult
extends DataElementSupport

Field Summary
`protected java.lang.String` | `description`
`protected java.lang.String` | `diagramName`
`protected EModel` | `emodel`
`protected java.lang.String` | `simulatorName`
`protected java.lang.String` | `title`
`protected java.util.Map` | `variableMap`

Constructor Summary
`SimulationResult(DataCollection origin, java.lang.String name)`

Method Summary
`void` | `addInitialValue(Variable var)`
`SimulationResult` | `approximate(double initialTime, double completionTime, double timeIncrement)`
`double` | `getCompletionTime()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDiagramName()`
`EModel` | `getEModel()`
`double` | `getInitialTime()`
`java.util.ArrayList` | `getInitialValues()`
`java.lang.String` | `getSimulatorName()`
`double[]` | `getTimes()`
`java.lang.String` | `getTitle()`
`double[][]` | `getValues()`
`java.util.Map` | `getVariableMap()`
`boolean` | `isNotFilled()`
`void` | `setCompletionTime(double completionTime)`
`void` | `setDescription(java.lang.String description)`
`void` | `setDiagramName(java.lang.String diagramName)`
`void` | `setInitialTime(double initialTime)`
`void` | `setSimulatorName(java.lang.String simulatorName)`
`void` | `setTimes(double[] times)`
`void` | `setTitle(java.lang.String title)`
`void` | `setValues(double[][] values)`
`void` | `setVariableMap(java.util.Map variableMap)`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### emodel

    protected EModel emodel

### diagramName

    protected java.lang.String diagramName

### title

    protected java.lang.String title

### simulatorName

    protected java.lang.String simulatorName

### description

    protected java.lang.String description

### variableMap

    protected java.util.Map variableMap

Constructor Detail

### SimulationResult

    public SimulationResult(DataCollection origin,
                            java.lang.String name)

Method Detail

### getEModel

    public EModel getEModel()

### getDiagramName

    public java.lang.String getDiagramName()

### setDiagramName

    public void setDiagramName(java.lang.String diagramName)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getSimulatorName

    public java.lang.String getSimulatorName()

### setSimulatorName

    public void setSimulatorName(java.lang.String simulatorName)

### getInitialTime

    public double getInitialTime()

### setInitialTime

    public void setInitialTime(double initialTime)

### getCompletionTime

    public double getCompletionTime()

### setCompletionTime

    public void setCompletionTime(double completionTime)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getTimes

    public double[] getTimes()

### setTimes

    public void setTimes(double[] times)

### getValues

    public double[][] getValues()

### setValues

    public void setValues(double[][] values)

### getVariableMap

    public java.util.Map getVariableMap()

### setVariableMap

    public void setVariableMap(java.util.Map variableMap)

### getInitialValues

    public java.util.ArrayList getInitialValues()

### addInitialValue

    public void addInitialValue(Variable var)

### isNotFilled

    public boolean isNotFilled()

### approximate

    public SimulationResult approximate(double initialTime,
                                        double completionTime,
                                        double timeIncrement)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.